% cdfgetfld -- given a field name, this returns field info
function cdfgetfld(cdf_record: cdf; fname: cdf_cline; returns cdf_field)
  for initial
    i := 1;
    val := 0;
  while (i <= array_size(cdf_record.fields)) repeat
    oi := old i;
    oval := old val;
    val := if (streq(fname, cdf_record.fields[oi].fname)) then
      oi
    else
      oval
    end if;
    i := oi + 1;
  returns
    value of if (val > 0) then
               cdf_record.fields[val]
             else

% if this error is generated, then the named field doesn't exist
               error[cdf_field]
             end if
  end for
end function % cdfgetfld
