/* copyfld -- Copy specified field section of common data format header file.
 */
#include <stdio.h>
#include "cdfhdr.h"

copyfld(hbnew,maxnew,hbold,maxold,type)
char hbnew[][LINE];           /* destination header buffer */
int maxnew;                   /* destination buffer size */
char hbold[][LINE];           /* source header buffer */
int maxold;                   /* source buffer size */
char type;                    /* 's' = static, 'v' = variable section */
{
  struct field *fp;           /* pointer to field info */
  int loop;                   /* looping variable */
  loop = 0;
  while ((fp = getfld(hbold,maxold,type,loop++)) != NULL) {
    addfld(hbnew,maxnew,type,fp->fname,fp->smul,fp->sadd,fp->bytes,
         fp->dim,fp->dname1,fp->dsize1,fp->dname2,fp->dsize2,
         fp->dname3,fp->dsize3,fp->dname4,fp->dsize4);
  }
}
