/* getbuff -- This routine uses malloc to allocate float buffer
 * space.  The argument nelem defines the number of floating
 * point elements.  It returns a float pointer to the space.  If malloc
 * fails, getbuff dies with an error message.
 */
#include <stdio.h>
#include "cdfhdr.h"

float *getbuff(nelem)
long nelem;
{
  float *point;
  if ((point = (float*)malloc(sizeof(float)*nelem)) == NULL) {
    fprintf(stderr,"getbuff: can't get enough memory\n");
    exit(1);
  }
  return(point);
}
