/* cdfj -- convert julian day to gregorian time or vice versa */
#include <stdio.h>
#include <math.h>

static long jday;
static int day,month,year;

main(argc,argv)
int argc;
char *argv[];
{
  long julian_date();
  if (argc == 2) {
    jday = atoi(argv[1]);
    gregorian_date(jday,&year,&month,&day);
    printf("%d/%d/%d\n",day,month,year);
  }
  else if (argc == 4) {
    day = atoi(argv[1]);
    month = atoi(argv[2]);
    year = atoi(argv[3]);
    jday = julian_date(year,month,day);
    printf("%ld\n",jday);
  }
  else {
    fprintf(stderr,"Usage: cdfj julian_day or cdfj day month year\n");
    exit(1);
  }
  exit(0);
}
