/* pimage.h -- table of color parameters and other information */

/* the first two only for monochrome displays */
#define BLACK 0
#define WHITE 1

/* names of grays available */
#define GRAY0 2
#define GRAY5 3
#define GRAY10 4
#define GRAY15 5
#define GRAY20 6
#define GRAY25 7
#define GRAY30 8
#define GRAY35 9
#define GRAY40 10
#define GRAY45 11
#define GRAY50 12
#define GRAY55 13
#define GRAY60 14
#define GRAY65 15
#define GRAY70 16
#define GRAY75 17
#define GRAY80 18
#define GRAY85 19
#define GRAY90 20
#define GRAY95 21
#define GRAY100 22

/* names of colors available */
#define BROWN 23
#define RED 24
#define ORANGE 25
#define YELLOW 26
#define YELLOW_GREEN 27
#define SEA_GREEN 28
#define AQUAMARINE 29
#define SKY_BLUE 30
#define BLUE 31
#define VIOLET 32
#define NAVY 33

/* starting points and numbers of each class */
#define FIRSTGRAY 2
#define NGRAYS 21
#define FIRSTCOLOR 23
#define NCOLORS 11

/* total number of shades available */
#define MAXSHADES (2 + NGRAYS + NCOLORS)

/* half of font size */
#define YFONTOFF 6
