struct tstruct {
       int year,month,date,hour,min,sec;
       };

#include <ctype.h>
ztime(stamp,tst)
char stamp[];
struct tstruct *tst;
{
  int start;        /* where to start looking for info within stamp */
  int loop,slen;    /* looping */
  char smon[4],szone[4],syear[5]; /* contains extrated info from the */
  char shour[3],smin[3],ssec[3];  /*  stamp */
  char sdate[3];                  /* more of the same */
  static char *mon[] = { "Jan","Feb","Mar","Apr","May","Jun","Jul","Aug",
        "Sep","Oct","Nov","Dec" };/* list of the months for extraction */
  static int dmon[] = {31,28,31,30,31,30,31,31,30,31,30,31};
                                  /* # of days in each month, not leap-year */
  static char *tzone[] = { "PST","MST","CST","EST","PDT","MDT",
        "CDT","EDT","GMT","ZZZ" }; /* list of the time zone */
                    /* names.  If a need arises to add more then add it just */
                    /* before the "ZZZ" (marks end) zone then update below */
  static int tadd[] =   { 8,7,6,5,7,6,5,4,0,999 };/* number of hours to add */
                    /* to local time in order to make it GMT. When updating */
                    /* the time zones be sure to add the correct value in */
                    /* correct place */

  slen = strlen(stamp);
  for (loop=0;loop<slen;loop++) {
    if (isalpha(stamp[loop]) != 0) {
      start=loop+4;
      break;
    }
  }
  for (loop=0;loop<3;loop++) {
    smon[loop]=stamp[start];
    if (isdigit(stamp[start+16]) == 0)
      szone[loop]=stamp[start+16];
    else
      szone[loop]=stamp[start+21];
    start++;
  }
  start++;
  for (loop=0;loop<2;loop++) {
    sdate[loop]=stamp[start];
    shour[loop]=stamp[start+3];
    smin[loop]=stamp[start+6];
    ssec[loop]=stamp[start+9];
    start++;
  }
  start += 14;
  if (isdigit(stamp[start]) == 0)
    start -= 4;
  for (loop=0;loop<4;loop++)
    syear[loop]=stamp[start++];
  smon[3]=sdate[2]=shour[2]=smin[2]=ssec[2]=szone[3]=syear[4]='\0';
  tst->min=atoi(smin);
  tst->sec=atoi(ssec);
  tst->hour=atoi(shour);
  tst->date=atoi(sdate);
  tst->year=atoi(syear);
  for (loop=0;loop<12;loop++) {
    if (strcmp(smon,mon[loop]) == 0)
      tst->month = loop+1;
  }
  loop=0;
  while (strcmp("ZZZ",tzone[loop]) != 0) {
    if (strcmp(szone,tzone[loop])==0)
      tst->hour = tst->hour+tadd[loop];
    loop++;
  }
  if (tst->hour < 24)
    return(0);
  tst->hour = tst->hour - 24;
  tst->date = tst->date + 1;
  if (tst->date > dmon[tst->month-1]) {
    if ((tst->month == 2)&&(tst->year % 4 == 0)&&(tst->date < 30))
      return(0);
    else {
      tst->month = tst->month + 1;
      tst->date=1;
    }
  }
  if (tst->month > 12) {
    tst->month = 1;
    tst->year = tst->year + 1;
  }
  return(0);
}


fixtime(tstr,tst_in,tst_out)
char tstr[];
struct tstruct *tst_in;
struct tstruct *tst_out;
{
  int loop,pos,slen;
  int hr,mn,sc;
  char timstr[20];
  static int dmon[] = {31,28,31,30,31,30,31,31,30,31,30,31};

  sc=0;
  for (loop=0,pos=0;loop<strlen(tstr);loop++) {
    if ((isdigit(tstr[loop]) != 0)||(tstr[loop] == '.'))
      timstr[pos++]=tstr[loop];
  }
  timstr[pos]='\0';
  slen=strlen(timstr);
  if ((slen == 3)||(slen == 4)) {
    hr=atoi(timstr)/100;
    mn=atoi(timstr)%100;
    sc=0;
  }
  else if (slen >= 5) {
    hr=atoi(timstr)/10000;
    mn=atoi(timstr)/100-hr*100;
    sc=atoi(timstr)%100;
  }
  tst_out->hour=hr;
  tst_out->min=mn;
  tst_out->sec=sc;
  tst_out->date = tst_in->date;
  tst_out->month = tst_in->month;
  tst_out->year = tst_in->year;
  if (hr > tst_in->hour)
    return(0);
  else if (hr == tst_in->hour) {
    if (mn >= tst_in->min)
      return(0);
  }
  tst_out->date = tst_in->date+1;
  if (tst_out->date > dmon[tst_out->month-1]) {
    if ((tst_out->month == 2)&&(tst_out->year %4 == 0)&&(tst_out->date < 30))
      return(0);
    else {
      tst_out->month = tst_out->month + 1;
      tst_out->date = 1;
    }
  }
  if (tst_out->month > 12) {
    tst_out->year = tst_out->year + 1;
    tst_out->month = 1;
  }
  return(0);
}
